create function version_minor()
  returns tinyint unsigned
  comment '
 Description
 
 Returns the minor (release series) version of MySQL Server.
 
 Returns
 
 TINYINT UNSIGNED
 
 Example
 
 mysql> SELECT VERSION(), sys.server_minor();
 +--------------------------------------+---------------------+
 | VERSION()                            | sys.version_minor() |
 +--------------------------------------+---------------------+
 | 5.7.9-enterprise-commercial-advanced | 7                   |
 +--------------------------------------+---------------------+
 1 row in set (0.00 sec)
 '
  BEGIN RETURN SUBSTRING_INDEX(SUBSTRING_INDEX(SUBSTRING_INDEX(VERSION(), '-', 1), '.', 2), '.', -1); END;

