create view `x$memory_by_host_by_current_bytes` as
  select if(isnull(`performance_schema`.`memory_summary_by_host_by_event_name`.`HOST`), 'background',
            `performance_schema`.`memory_summary_by_host_by_event_name`.`HOST`)                          AS `host`,
         sum(
           `performance_schema`.`memory_summary_by_host_by_event_name`.`CURRENT_COUNT_USED`)             AS `current_count_used`,
         sum(
           `performance_schema`.`memory_summary_by_host_by_event_name`.`CURRENT_NUMBER_OF_BYTES_USED`)   AS `current_allocated`,
         ifnull((sum(`performance_schema`.`memory_summary_by_host_by_event_name`.`CURRENT_NUMBER_OF_BYTES_USED`) /
                 nullif(sum(`performance_schema`.`memory_summary_by_host_by_event_name`.`CURRENT_COUNT_USED`), 0)),
                0)                                                                                       AS `current_avg_alloc`,
         max(
           `performance_schema`.`memory_summary_by_host_by_event_name`.`CURRENT_NUMBER_OF_BYTES_USED`)   AS `current_max_alloc`,
         sum(
           `performance_schema`.`memory_summary_by_host_by_event_name`.`SUM_NUMBER_OF_BYTES_ALLOC`)      AS `total_allocated`
  from `performance_schema`.`memory_summary_by_host_by_event_name`
  group by if(isnull(`performance_schema`.`memory_summary_by_host_by_event_name`.`HOST`), 'background',
              `performance_schema`.`memory_summary_by_host_by_event_name`.`HOST`)
  order by sum(`performance_schema`.`memory_summary_by_host_by_event_name`.`CURRENT_NUMBER_OF_BYTES_USED`) desc;

